Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in hdf5
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in hdf5
ID: openSUSE-SU-2018:1051-1
Distribution: SUSE
Plattformen: SUSE Package Hub for SUSE Linux Enterprise 12
Datum: Di, 24. April 2018, 07:42
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4332
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4331
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4333
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4330
Applikationen: hdf5

Originalnachricht

   openSUSE Security Update: Security update for hdf5
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1051-1
Rating: important
References: #1011198 #1011201 #1011204 #1011205
Cross-References: CVE-2016-4330 CVE-2016-4331 CVE-2016-4332
CVE-2016-4333
Affected Products:
SUSE Package Hub for SUSE Linux Enterprise 12
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for hdf5 fixes the following issues:

- fix security issues (arbitary code execution): CVE-2016-4330: H5T_ARRAY
Code Execution (boo#1011201) CVE-2016-4331: H5Z_NBIT Code Execution
(boo#1011204) CVE-2016-4332: Shareable Message Type Code Execution
(boo#1011205) CVE-2016-4333: Array index bounds issue (boo#1011198)


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Package Hub for SUSE Linux Enterprise 12:

zypper in -t patch openSUSE-2018-392=1



Package List:

- SUSE Package Hub for SUSE Linux Enterprise 12 (aarch64 ppc64le s390x
x86_64):

hdf5-1.8.17-5.1
hdf5-devel-1.8.17-5.1
hdf5-devel-data-1.8.17-5.1
hdf5-devel-static-1.8.17-5.1
hdf5-examples-1.8.17-5.1
hdf5-openmpi-1.8.17-5.1
hdf5-openmpi-devel-1.8.17-5.1
hdf5-openmpi-devel-static-1.8.17-5.1
libhdf5-10-1.8.17-5.1
libhdf5-10-openmpi-1.8.17-5.1
libhdf5_cpp12-1.8.17-5.1
libhdf5_fortran10-1.8.17-5.1
libhdf5_fortran10-openmpi-1.8.17-5.1
libhdf5_hl10-1.8.17-5.1
libhdf5_hl10-openmpi-1.8.17-5.1
libhdf5_hl_cpp11-1.8.17-5.1
libhdf5hl_fortran10-1.8.17-5.1
libhdf5hl_fortran10-openmpi-1.8.17-5.1

- SUSE Package Hub for SUSE Linux Enterprise 12 (aarch64 s390x x86_64):

hdf5-debuginfo-1.8.17-5.1
hdf5-debugsource-1.8.17-5.1
hdf5-openmpi-debuginfo-1.8.17-5.1
libhdf5-10-debuginfo-1.8.17-5.1
libhdf5-10-openmpi-debuginfo-1.8.17-5.1
libhdf5_cpp12-debuginfo-1.8.17-5.1
libhdf5_fortran10-debuginfo-1.8.17-5.1
libhdf5_fortran10-openmpi-debuginfo-1.8.17-5.1
libhdf5_hl10-debuginfo-1.8.17-5.1
libhdf5_hl10-openmpi-debuginfo-1.8.17-5.1
libhdf5_hl_cpp11-debuginfo-1.8.17-5.1
libhdf5hl_fortran10-debuginfo-1.8.17-5.1
libhdf5hl_fortran10-openmpi-debuginfo-1.8.17-5.1


References:

https://www.suse.com/security/cve/CVE-2016-4330.html
https://www.suse.com/security/cve/CVE-2016-4331.html
https://www.suse.com/security/cve/CVE-2016-4332.html
https://www.suse.com/security/cve/CVE-2016-4333.html
https://bugzilla.suse.com/1011198
https://bugzilla.suse.com/1011201
https://bugzilla.suse.com/1011204
https://bugzilla.suse.com/1011205

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung